<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="writeNameValuePair">
		<xsl:param name="name" />
		<xsl:param name="value" />
		<xsl:param name="tdSpan" />
		<xsl:param name="href" />
		<xsl:if test="string-length(string($name)) !=0 ">
			<th>
				<xsl:value-of select="$name" />
				<xsl:value-of select="':'" />
			</th>
		</xsl:if>
		<xsl:call-template name="writeValue">
			<xsl:with-param name="tdSpan" select="$tdSpan" />
			<xsl:with-param name="href" select="$href" />
			<xsl:with-param name="value" select="$value" />
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="writeValue">
		<xsl:param name="tdSpan" />
		<xsl:param name="href" />
		<xsl:param name="value" />
		<xsl:element name="td">
			<xsl:if test="string-length(string($tdSpan))!=0">
				<xsl:attribute name="colspan">
					<xsl:value-of select="$tdSpan" />
				</xsl:attribute>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="string-length(string($href))!=0">
					<xsl:element name="a">
						<xsl:attribute name="href">
							<xsl:value-of select="concat('#', $href)" />
						</xsl:attribute>
						<xsl:call-template name="X_formatNewLines">
							<xsl:with-param name="text" select="$value" />
						</xsl:call-template>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="X_formatNewLines">
						<xsl:with-param name="text" select="$value" />
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
	</xsl:template>

	<xsl:template name="X_formatNewLines">
		<xsl:param name="text" select="." />
		<xsl:choose>
			<xsl:when test="contains($text,'&#10;')">
				<xsl:value-of select="substring-before($text,'&#10;')" />
				<br />
				<xsl:call-template name="X_formatNewLines">
					<xsl:with-param name="text"
						select="substring-after($text,'&#10;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="contains($text,'&amp;#10;')">
				<xsl:value-of select="substring-before($text,'&amp;#10;')" />
				<br />
				<xsl:call-template name="X_formatNewLines">
					<xsl:with-param name="text"
						select="substring-after($text,'&amp;#10;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>