<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "assertTrue.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="assertTrue.label">
		<xsl:text>&assertTrue.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="assertTrue.passed">
		<xsl:text>&assertTrue.passed;</xsl:text>
	</xsl:variable>
	<xsl:variable name="assertTrue.failed">
		<xsl:text>&assertTrue.failed;</xsl:text>
	</xsl:variable>

	<xsl:template match="asserttrue" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="asserttrue" mode="label">
		<xsl:value-of select="$assertTrue.label" />
	</xsl:template>

	<xsl:template match="asserttrue">
		<xsl:call-template name="addActionInfo" />
		<xsl:call-template name="reportDecisionExpandedDetails" />
	</xsl:template>

	<xsl:template match="asserttrue" mode="reportStatus"
		priority="2">

		<xsl:variable name="status"
			select="
                if (@*[name()=$EVAL_RESULT] = 'true') then 'Passed' else 'Failed'" />
		<xsl:variable name="statusString"
			select="
                if (@*[name()=$EVAL_RESULT] = 'true') then $assertTrue.passed else $assertTrue.failed" />

		<td>
			<xsl:choose>
				<xsl:when test="count(@*[name()=$EXECUTION_CANCELLED])">
					<xsl:value-of select="$CANCEL_STATUS" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="class" select="$status" />
					<xsl:value-of select="$statusString" />
				</xsl:otherwise>
			</xsl:choose>
		</td>
	</xsl:template>
</xsl:stylesheet>
