<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "comment.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="COMMENT_MESSAGE_OUTPUT">
		<xsl:text>&comment.message;</xsl:text>
	</xsl:variable>
	<xsl:variable name="comment.label">
		<xsl:text>&comment.label;</xsl:text>
	</xsl:variable>

	<xsl:variable name="COMMENT_MESSAGE" select="'loggingMessage'" />

	<xsl:template match="comment" mode="label">
		<xsl:value-of select="$comment.label" />
	</xsl:template>

	<xsl:template match="comment">
		<xsl:call-template name="addActionInfo" />
	</xsl:template>

	<xsl:template name="reportCommentMessage">
		<xsl:if test="count(*[name()=$COMMENT_MESSAGE])!=0">
			<tr>
				<xsl:call-template name="reportInfo">
					<xsl:with-param name="value"
						select="*[name()=$COMMENT_MESSAGE]/text()" />
					<xsl:with-param name="name" select="$COMMENT_MESSAGE_OUTPUT" />
					<xsl:with-param name="tdSpan" select="5" />
				</xsl:call-template>
			</tr>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
